package it.integry.integrywmsnative.view.dialogs.input_quantity_to_return;

import androidx.databinding.ObservableField;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.model.MtbAart;

public class DialogInputQuantityToReturnViewModel {

    private MtbAart mtbAart;
    private BigDecimal minQuantity;
    private BigDecimal maxQuantity;

    public ObservableField<BigDecimal> inputQuantity = new ObservableField<>(BigDecimal.ZERO);


    public void init(MtbAart mtbAart, BigDecimal minQuantity, BigDecimal maxQuantity) {
        this.minQuantity = minQuantity;
        this.maxQuantity = maxQuantity;
        this.mtbAart = mtbAart;
    }

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public BigDecimal getMinQuantity() {
        return minQuantity;
    }

    public BigDecimal getMaxQuantity() {
        return maxQuantity;
    }

    public BigDecimal getInputQuanity() {
        return inputQuantity.get();
    }
}